All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.util.transforms
Class FileVerifierTransform

    com.sas.util.transforms.FileVerifierTransform

All Implemented Interfaces:
  com.sas.util.transforms.TransformInterface, java.io.Serializable

    public class FileVerifierTransform

implements com.sas.util.transforms.TransformInterface

This is a transform designed to be used on a link between a component generating filenames (ie. com.sas.io.FileList) and a component which uses filenames to access data (ie. com.sas.visuals.ImageView). The transform checks to see if the filename passed in is for a file. If it is, it returns the filename. Otherwise, it returns null.

An example of using this is to link the `selectedItem` property of a TreeView containing a FileList to the `source` property of an ImageView. To setup such a link you would add code like the following:

See Also:
  Serialized Form

Field Summary
`protected java.lang.Object` | `defaultValue`

Constructor Summary
`FileVerifierTransform()`
`FileVerifierTransform(java.lang.Object defaultValue)`

Method Summary
`java.lang.Object` | `transform(java.lang.Object value)`

Field Detail

### defaultValue

    protected java.lang.Object defaultValue

Constructor Detail

### FileVerifierTransform

    public FileVerifierTransform()

### FileVerifierTransform

    public FileVerifierTransform(java.lang.Object defaultValue)

Method Detail

### transform

    public java.lang.Object transform(java.lang.Object value)

  Specified by:
    `transform` in interface `com.sas.util.transforms.TransformInterface`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.